using UnityEngine;
using System.Collections;

public class ProceedBehaviour : MonoBehaviour
{
    public string SceneName = "";

	void Start () 
    {
        Invoke("Proceed", 2.5f);
	}
	
    void Proceed()
    {
        string[] joysticks = Input.GetJoystickNames();

        if (joysticks.Length < 4)
        {
            Application.LoadLevel("ErrorScene");
        }
        else
        {
            if (SceneName != "")
            {
                Application.LoadLevel(SceneName);
            }
        }
    }

}
